/* Simple Normalize Filter - Header

 * By Sylvain Deschenes
 *
 * Licensed under the terms of the GNU General Public License.
 * ABSOLUTELY NO WARRANTY.
 * See the file `COPYING' in this directory.
 */

#ifndef HAVE_SIGNPR_NOR_H
#define HAVE_SIGNPR_NOR_H


#include "signpr_general.h"

#define SIGNPR_NOR_PARAMSCR_HEADERTEXT "Simple Normalize Filter - Parameters"

void simple_nor_param_defaults (parampointer_t parampointer);

void simple_nor_param_screen (parampointer_t parampointer);

void init_simple_nor_filter (int filterno, parampointer_t parampointer);

void delete_simple_nor_filter (parampointer_t parampointer);

sample_t simple_nor_filter (parampointer_t parampointer);


#endif /* HAVE_SIGNPR_NOR_H */
